package com.suning.mobile.epa.paymentcode.main

import com.suning.mobile.epa.kits.EpaKitsApplication

object PaymentCodeImageConstants {

    /** View的整体高度(这里是高保真的高度用于比例计算)  */
    const val VIEW_HIGHT = 1334
    /** View的整体宽度（这里为高保真的宽度用于比例计算）  */
    const val VIEW_WIDTH = 750
    /** 条码的宽度  */
    const val VIEW_BARCODE_WIDTH = 600
    /** 条码的高度  */
    const val VIEW_BARCODE_HEIGHT = 110
    /** 二维码的尺寸  */
    const val VIEW_QRCODE_SIZE = 364
    /** 屏幕的尺寸高度  */
    val DISLAY_HEIGHT = EpaKitsApplication.getInstance().resources.displayMetrics.heightPixels
    /** 屏幕的尺寸宽度  */
    val DISLAY_WIDTH = EpaKitsApplication.getInstance().resources.displayMetrics.widthPixels

    /** 包裹barcode的外层View的宽度  */
    const val VIEW_BARCODE_CONTENT_WIDTH = 610
    /** 包裹barcode的外层View的高度  */
    const val VIEW_BARCODE_CONTENT_HEIGHT = 120

}