package com.suning.mobile.epa.paymentcode.utils

import android.content.Context
import android.net.ConnectivityManager
import com.suning.mobile.epa.kits.EpaKitsApplication

object PaymentCodeCommonUtil {

    fun isNetConnected(): Boolean {
        val cm = EpaKitsApplication.getInstance().getSystemService(Context.CONNECTIVITY_SERVICE) as ConnectivityManager
        val info = cm.activeNetworkInfo
        if (info != null && info.isConnected) {
            return true
        }
        return false
    }

    fun isBlank(str: String?): Boolean {
        if (str == null || str.isEmpty()) {
            return true
        }
        for (i in 0 until str.length) {
            if (!Character.isWhitespace(str[i])) {
                return false
            }
        }
        return true
    }
}