package com.suning.mobile.epa.paymentcode.utils

import android.app.Activity
import android.text.TextUtils
import com.suning.mobile.epa.kits.common.Strs
import com.suning.mobile.epa.kits.utils.LogUtils

import com.suning.mobile.epa.statistic.CustomStatisticsProxy
import java.io.UnsupportedEncodingException
import java.net.URLEncoder
import java.security.MessageDigest
import java.security.NoSuchAlgorithmException

import java.text.SimpleDateFormat
import java.util.Date
import java.util.HashMap
import java.util.Locale

/**
 * @author 17033098
 */
object PaymentCodeStatisticUtil {

    /**
     * 新点击埋点
     * @param pageId 页面编码
     * @param modId 区块编码
     * @param eleId 坑位元素编码
     * @param adId 广告id
     * @param text 文本内容
     * @param contentId 内容id
     * @param guestId 客群编码
     */
    fun commonClick(pageId: String,
                    eleId: String) {
        val eventDetail = HashMap<String, String>()
        if (!TextUtils.isEmpty(pageId)) {
            eventDetail["pageId"] = pageId
        }
        if (!TextUtils.isEmpty(eleId)) {
            eventDetail["eleId"] = eleId
        }

        if (eventDetail.size > 0) {
            CustomStatisticsProxy.setClickEvent(eventDetail)
        }
    }
}
