package com.suning.mobile.epa.paymentcode.main

import org.json.JSONObject

class PaymentOrderToPayModel (jsonObject: JSONObject) {

    var orderId : String = jsonObject.optString("merchantOrderId")
    val status : String = jsonObject.optString("status")
    val channel : String = jsonObject.optString("channel")
    val orderInfo : String = jsonObject.optString("paymentOrder")
    val token : String = jsonObject.optString("token")
    init {
        if (jsonObject.has("merchantList")) {
            val orderList = jsonObject.getJSONArray("merchantList")
            if (orderList != null && orderList.length() > 0 && orderList.getString(0) != null){
                orderId = orderList.getString(0)
            }
        }
    }
}