package com.suning.epafusion.net

import com.suning.mobile.epa.kits.common.Environment_Config

/**
 * @author zhongchi
 * @date 2019/1/21 19:19
 */
object PaymentEnviromentConfig {

    val backUrl = "https://snjr.h5tonative.suning.com/type=doneThenClose"
    val ftis2BasicUrl = Environment_Config.getInstance().getFTIS2Url(true, Environment_Config.FTIS2ServerName.basic)
    var loginUrl = ""
    var primaryUrl = ""
    init {
        when(Environment_Config.mNetType){
            Environment_Config.NetType.PRD ->{
                loginUrl = "https://paypassport.suning.com/ids/login?loginTheme=open_msg"
                primaryUrl = "https://mpay.suning.com/epwm/identity/toIdentityVerification.htm?"
            }
            Environment_Config.NetType.PREXG -> {
                loginUrl = "https://xgprepaypassport.cnsuning.com/ids/login?loginTheme=open_msg"
                primaryUrl = "https://mpayprexg.cnsuning.com/epwm/identity/toIdentityVerification.htm?"
            }
            Environment_Config.NetType.PRE ->{
                loginUrl = "https://prepaypassport.cnsuning.com/ids/login?loginTheme=open_msg"
                primaryUrl = "https://mpaypre.cnsuning.com/epwm/identity/toIdentityVerification.htm?"
            }
            else ->{}
        }
    }
}